diff --git a/src/wizard/FedoraManualTesting.js b/src/wizard/FedoraManualTesting.js
index 473f33a..eeda471 100644
--- a/src/wizard/FedoraManualTesting.js
+++ b/src/wizard/FedoraManualTesting.js
@@ -1,7 +1,8 @@
 import React, { useState } from "react"
-import { useSelector } from "react-redux"
 import { Modal, ModalHeader, ModalBody, ModalFooter } from "reactstrap"
 import { CollapsableCard, ModalBadge } from "./components"
+import { Trans } from "react-i18next"
+import { useSelector } from "react-redux"
 
 export default (props) => {
   let sections = Object.keys(props.data).map((k) => (
@@ -36,60 +37,75 @@ export function FedoraManualTestingItemsListSub1(props) {
   switch (props.title) {
     case "Installation":
       l1 = (
-        <div className="text-left">
-          {i18n.t("words.the")} <strong>{i18n.t("words.Installation")}</strong>{" "}
-          {i18n.t("phrases.Installation_text")}
-          <br />
-          {i18n.t("phrases.Installation_text1")}
-          <br />
-          <i>{i18n.t("words.Note")}</i> {i18n.t("phrases.Installation_text2")}
+        <div>
+          <Trans i18nKey="Installation_text">
+            The <strong>Installation</strong> testcases generally deal with a part of the
+            installation procedure.
+            <br />
+            You will certainly need an installation ISO, and either a Virtual or Bare-metal machine
+            to run the test.
+            <br />
+            <i>Note:</i> some (not that many, though) of these testcases require Bare-metal
+            machine. Be sure to read the Description of the testcase carefully.
+          </Trans>
         </div>
       )
       break
     case "Desktop":
       l1 = (
-        <div className="text-left">
-          {i18n.t("words.the")} <strong>{i18n.t("words.Desktop")}</strong>{" "}
-          {i18n.t("phrases.Desktop_text")}
-          <br />
-          {i18n.t("phrases.Desktop_text1")}
+        <div>
+          <Trans i18nKey="Desktop_Text">
+            The <strong>Desktop</strong> testcases cover basic functionality of the desktop
+            environment.
+            <br />
+            You can either install Fedora onto clean Virtual or Bare-metal machine, or use a Live
+            image instead.
+          </Trans>
         </div>
       )
       break
     case "Base":
       l1 = (
-        <div className="text-left">
-          {i18n.t("words.the")} <strong>{i18n.t("words.Base")}</strong>{" "}
-          {i18n.t("phrases.base_text")}
-          <br />
-          {i18n.t("phrases.base_text1")}
-          <br />
-          <i>{i18n.t("phrases.Pro_tip")}:</i> {i18n.t("phrases.base_text3")}
+        <div>
+          <Trans i18nKey="Base_Text">
+            The <strong>Base</strong> testcases cover the system&#x27;s basic functionality just
+            after a clean installation.
+            <br />
+            Most times, you will be asked to perform a clean Fedora installation. You can use
+            either Virtual or Bare-metal machine.
+            <br />
+            <i>Pro tip:</i> using a snapshot of cleanly installed Virtual machine is just fine. No
+            need to reinstall for every testcase.
+          </Trans>
         </div>
       )
       break
     case "Server":
       l1 = (
-        <div className="text-left">
-          {i18n.t("words.the")} <strong>{i18n.t("words.Server")}</strong>{" "}
-          {i18n.t("phrases.Server_text")}
+        <div>
+          <Trans i18nKey="Server_Text">
+            The <strong>Server</strong> testcases usually require multiple machines to test the
+            server-client behaviour, and might feel a bit advanced.
+          </Trans>
         </div>
       )
       break
     case "Cloud":
       l1 = (
-        <div className="text-left">
-          {i18n.t("cloud_text")} <strong>{i18n.t("words.Cloud")}</strong>{" "}
-          {i18n.t("phrases.cloud_text1")}
-          <br />
-          {i18n.t("phrases.cloud_text2")}{" "}
-          <a
-            target="_blank"
-            rel="noopener noreferrer"
-            href="https://fedoraproject.org/wiki/Test_Results:Fedora_Current_Cloud#Cloud_Provider_Setup">
-            {i18n.t("phrases.Cloud_provider_setup")}
-          </a>{" "}
-          {i18n.t("phrases.guides_for_more_details")}
+        <div>
+          <Trans i18nKey="Cloud_Text">
+            Even thought the <strong>Cloud</strong> testcases are best done in the specific
+            environments like EC2 or Openstack, you can also perform them locally using Testcloud.
+            <br />
+            Have a look at the{" "}
+            <a
+              target="_blank"
+              rel="noopener noreferrer"
+              href="https://fedoraproject.org/wiki/Test_Results:Fedora_Current_Cloud#Cloud_Provider_Setup">
+              Cloud provider setup
+            </a>{" "}
+            guides for more details.
+          </Trans>
         </div>
       )
       break
@@ -98,14 +114,13 @@ export function FedoraManualTestingItemsListSub1(props) {
   }
 
   return (
-    <CollapsableCard title={l1} expand_text="See" expand_class="primary">
+    <CollapsableCard title={l1} expand_text={i18n.t("words.See")} expand_class="primary">
       {subsections}
     </CollapsableCard>
   )
 }
 
 export function FedoraManualTestingItem(props) {
-  const { i18n } = useSelector((state) => state.locale)
   const extra_data = props.data.extra_data
 
   const tc_url = extra_data.testcase_url
@@ -113,18 +128,19 @@ export function FedoraManualTestingItem(props) {
 
   const matrix_url = extra_data.matrix_url
   var environment_examples = undefined
+  const { i18n } = useSelector((state) => state.locale)
   switch (extra_data.testtype) {
     case "Installation":
       environment_examples = (
         <span>
-          <code>x86_64</code> or <code>ARM</code>
+          <code>x86_64</code> {i18n.t("words.or")} <code>ARM</code>
         </span>
       )
       break
     case "Base":
       environment_examples = (
         <span>
-          <code>{i18n.t("words.Workstation")}</code>, <code>{i18n.t("words.Server")}</code>,{" "}
+          <code>{18n.t("words.Workstation")}</code>, <code>{i18n.t("words.Server")}</code>,{" "}
           <code>Xfce</code> {i18n.t("words.or")} <code>{i18n.t("words.Minimal")}</code>
         </span>
       )
@@ -132,7 +148,7 @@ export function FedoraManualTestingItem(props) {
     case "Desktop":
       environment_examples = (
         <span>
-          <code>{i18n.t("words.Workstation")}</code> {i18n.t("words.or")} <code>KDE</code>
+          <code>{18n.t("words.Workstation")}</code> {i18n.t("words.or")} <code>KDE</code>
         </span>
       )
       break
@@ -153,49 +169,67 @@ export function FedoraManualTestingItem(props) {
     <ModalInfo buttonLabel={name}>
       <ol className="steps">
         <li>
-          {i18n.t("phrases.Identify_the_testcase_and_environment_in_our")}
-          <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
-            {i18n.t("phrases.Tescase_matrix")}
-          </a>{" "}
+          <Trans i18nKey="Identify_The_Testcase">
+            Identify the testcase and `environment` in our{" "}
+            <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
+              Tescase matrix{" "}
+            </a>
+          </Trans>
           <ModalBadge expand_text={i18n.t("phrases.Not_sure_what_that_means")}>
             <ul>
               <li>
-                {i18n.t("phrases.ModalBadge")} {environment_examples} {i18n.t("words.for_the")}{" "}
-                {testtype} {i18n.t("phrases.testcase_but_you_can")}{" "}
-                <code>{i18n.t("words.Result")}</code> {i18n.t("phrases.Column_which_actually")}
+                <Trans i18nKey="Have_a_look_at_the_matrix">
+                  Have a look at the matrix. The rows are the testcases, and the columns are the
+                  environments. Most of the time, these are {environment_examples} for the{" "}
+                  {testtype} testcases, but you can also encouter a generic <code>Result</code>{" "}
+                  column, which usually means you can use any media/architecture available.
+                </Trans>
               </li>
               <li>
-                {i18n.t("phrases.For_this_particular_testcase")}{" "}
-                <code>{extra_data.envs.join(", ")}</code>{" "}
-                {extra_data.envs.length > 1 ? "environments are" : "environment is"}{" "}
-                {i18n.t("phrases.missing_results")}
+                <Trans i18nKey="for_this_perticular">
+                  For this particular testcase, <code>{extra_data.envs.join(", ")}</code>{" "}
+                  {extra_data.envs.length > 1 ? "environments are" : "environment is"} missing
+                  results.
+                </Trans>
               </li>
             </ul>
           </ModalBadge>
         </li>
 
         <li>
-          {i18n.t("phrases.Read_the")}{" "}
-          <a target="_blank" rel="noopener noreferrer" href={tc_url}>
-            {i18n.t("words.Testcase")}
-          </a>{" "}
-          {i18n.t("phrases.briefly_just")}{" "}
+          <Trans i18nKey="Read_the_TestCase">
+            Read the{" "}
+            <a target="_blank" rel="noopener noreferrer" href={tc_url}>
+              Testcase
+            </a>{" "}
+            briefly, just to have a general idea of what you will be doing.
+          </Trans>
           <ModalBadge expand_text={i18n.t("phrases.Not_making_much_sense")}>
             {i18n.t("phrases.The_testcases_are_generally_split_into_four_sections")}
             <ul>
               <li>
-                <strong>{i18n.t("words.Description")}</strong> {i18n.t("phrases.Should_give_you")}
+                <Trans i18nKey="Description_Text">
+                  <strong>Description</strong> should give you a general idea of what is being
+                  tested
+                </Trans>
               </li>
               <li>
-                <strong>{i18n.t("words.Setup")}</strong> {i18n.t("phrases.describes_the_steps")}
+                <Trans i18nKey="Setup_Text">
+                  <strong>Setup</strong> describes the steps to take before you begin working on
+                  the testcase
+                </Trans>
               </li>
               <li>
-                <strong>{i18n.t("phrases.How_to_test")}</strong>{" "}
-                {i18n.t("phrases.contains_the_individual")}
+                <Trans i18nKey="How_to_Test">
+                  <strong>How to test</strong> contains the individual steps to take in order to
+                  perform the testcase
+                </Trans>
               </li>
               <li>
-                <strong>{i18n.t("phrases.Expected_results")}</strong>{" "}
-                {i18n.t("phrases.describes_you_to_check")}
+                <Trans i18nKey="Expected_Results">
+                  <strong>Expected results</strong> describe what you should check while testing in
+                  order to decide whether it Passed of Failed
+                </Trans>
               </li>
             </ul>
           </ModalBadge>
@@ -207,7 +241,7 @@ export function FedoraManualTestingItem(props) {
             target="_blank"
             rel="noopener noreferrer"
             href="https://fedoraproject.org/wiki/Test_Results:Current_Installation_Test#How_to_test">
-            {i18n.t("words.here")}
+            here
           </a>
           .{" "}
           <ModalBadge expand_text={i18n.t("phrases.Not_sure_how")}>
@@ -218,17 +252,20 @@ export function FedoraManualTestingItem(props) {
                 <ModalBadge expand_text={i18n.t("words.See")}>
                   <ul>
                     <li>
-                      {i18n.t("phrases.Have_a_look")} {environment_examples}{" "}
-                      {i18n.t("words.for_the")} {testtype}{" "}
-                      {i18n.t("phrases.testcases_but_you_can")}{" "}
-                      <code>{i18n.t("words.Result")}</code>{" "}
-                      {i18n.t("phrases.Column_which_usually")}
+                      <Trans i18nKey="Have_a_look_at_the_matrix">
+                        Have a look at the matrix. The rows are the testcases, and the columns are
+                        the environments. Most of the time, these are {environment_examples} for
+                        the {testtype} testcases, but you can also encouter a generic{" "}
+                        <code>Result</code> column, which usually means you can use any
+                        media/architecture available.
+                      </Trans>
                     </li>
                     <li>
-                      {i18n.t("phrases.For_this_particular_testcase")}
-                      <code>{extra_data.envs.join(", ")}</code>{" "}
-                      {extra_data.envs.length > 1 ? "environments are" : "environment is"}{" "}
-                      {i18n.t("phrases.missing_results")}
+                      <Trans i18nKey="for_this_perticular">
+                        For this particular testcase, <code>{extra_data.envs.join(", ")}</code>{" "}
+                        {extra_data.envs.length > 1 ? "environments are" : "environment is"}{" "}
+                        missing results.
+                      </Trans>
                     </li>
                   </ul>
                 </ModalBadge>
@@ -238,33 +275,43 @@ export function FedoraManualTestingItem(props) {
         </li>
 
         <li>
-          {i18n.t("phrases.Study_the")}{" "}
-          <a target="_blank" rel="noopener noreferrer" href={tc_url}>
-            {i18n.t("words.Testcase")}
-          </a>{" "}
-          {i18n.t("phrases.thoroughly_to_be_sure_you_know_what_to_do")}{" "}
-          <ModalBadge expand_text="Feeling a bit lost?">
+          <Trans i18nKey="study_the_testcase">
+            Study the{" "}
+            <a target="_blank" rel="noopener noreferrer" href={tc_url}>
+              Testcase
+            </a>{" "}
+            thoroughly, to be sure you know what to do.{" "}
+          </Trans>
+          <ModalBadge expand_text={i18n.t("phrases.Feeling_a_bit_lost")}>
             <ul>
               <li>
                 {i18n.t("phrases.The_testcase_structure_is_not_making_sense")}{" "}
-                <ModalBadge expand_text="Click here">
-                  {i18n.t("phrases.The_testcases_are_generally_split_into_four_sections")}
+                <ModalBadge expand_text={i18n.t("words.See")}>
+                  {i18n.t("phrases.The_testcases_are_generally_split_into_four_sections:")}
                   <ul>
                     <li>
-                      <strong>{i18n.t("words.Description")}</strong>{" "}
-                      {i18n.t("phrases.should_give_you_a")}
+                      <Trans i18nKey="Description_Text">
+                        <strong>Description</strong> should give you a general idea of what is
+                        being tested
+                      </Trans>
                     </li>
                     <li>
-                      <strong>{i18n.t("words.Setup")}</strong>{" "}
-                      {i18n.t("phrases.describes_the_steps")}
+                      <Trans i18nKey="Setup_Text">
+                        <strong>Setup</strong> describes the steps to take before you begin working
+                        on the testcase
+                      </Trans>
                     </li>
                     <li>
-                      <strong>{i18n.t("phrases.How_to_test")}</strong>{" "}
-                      {i18n.t("phrases.contains_the_individual")}
+                      <Trans i18nKey="How_to_Test">
+                        <strong>How to test</strong> contains the individual steps to take in order
+                        to perform the testcase
+                      </Trans>
                     </li>
                     <li>
-                      <strong>{i18n.t("phrases.Expected_results")}</strong>{" "}
-                      {i18n.t("phrases.describes_you_to_check")}
+                      <Trans i18nKey="Expected_Results">
+                        <strong>Expected results</strong> describe what you should check while
+                        testing in order to decide whether it Passed of Failed
+                      </Trans>
                     </li>
                   </ul>
                 </ModalBadge>
@@ -272,11 +319,17 @@ export function FedoraManualTestingItem(props) {
               <li>
                 {i18n.t("phrases.Maybe_you_are_stuck")}{" "}
                 <ModalBadge expand_text={i18n.t("phrases.dont_have_an")}>
-                  {i18n.t("phrases.if_you_are")}{" "}
-                  <a target="_blank" rel="noopener noreferrer" href="http://webchat.freenode.net">
-                    {i18n.t("words.web_interface")}
-                  </a>{" "}
-                  {i18n.t("phrases.Just_enter_a_Nickname")}
+                  <Trans i18nKey="If_you_are_not_familiar">
+                    If you are not that familiar with IRC, you can use the{" "}
+                    <a
+                      target="_blank"
+                      rel="noopener noreferrer"
+                      href="http://webchat.freenode.net">
+                      web-interface
+                    </a>{" "}
+                    just enter a Nickname of your choice, #fedora-qa (including the hash sign) in
+                    the Channels field, and click Connect.
+                  </Trans>
                 </ModalBadge>
               </li>
             </ul>
@@ -289,27 +342,28 @@ export function FedoraManualTestingItem(props) {
             expand_class="success"
             expand_text={i18n.t("phrases.Everything_went_well")}
             type="btn">
-            {i18n.t("phrases.Great_Either_use")}{" "}
-            <code>{i18n.t("phrases.relval_report_results")}</code>{" "}
-            {i18n.t("phrases.on_command_line")} <code>{i18n.t("words.relval")}</code>
-            {i18n.t("phrases.package_first")}{" "}
-            <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
-              {i18n.t("words.matrix")}
-            </a>{" "}
-            {i18n.t("phrases.directly_by_clicking_on_the")} <code>{i18n.t("words.Edit")}</code>{" "}
-            {i18n.t("phrases.link_next_to_the_Matrice_header_and_put")}{" "}
-            <code>&#123;&#123;{i18n.t("phrases.result_pass_your")}&#125;&#125;</code>{" "}
-            {i18n.t("phrases.in_the_appropriate_spot")}
+            <Trans i18nKey="Great_either_use">
+              Great! Either use <code>relval report-results</code> on command line (make sure to
+              install the <code>relval</code> package first), or modify the{" "}
+              <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
+                matrix
+              </a>{" "}
+              directly by clicking on the <code>Edit</code> link next to the Matrice's header, and
+              put <code>&#123;&#123;result|pass|YOUR_NAME_HERE|&#125;&#125;</code> in the
+              appropriate spot.
+            </Trans>
           </ModalBadge>
 
           <ModalBadge
-            expand_class={i18n.t("words.danger")}
+            expand_class="danger"
             expand_text={i18n.t("phrases.I_found_a_bug")}
             type="btn">
-            {i18n.t("phrases.Awesome_Ideally_read_up_on")}{" "}
-            https://fedoraproject.org/wiki/How_to_file_a_bug_report
-            <br />
-            {i18n.t("phrases.if_you_dont_like_like_reading")}
+            <Trans i18nKey="Awesome_ideally_read">
+              Awesome! Ideally read up on https://fedoraproject.org/wiki/How_to_file_a_bug_report
+              <br />
+              If you don't feel like reading a wall of text, at least pot together a small document
+              containing:
+            </Trans>
             <ul>
               <li>{i18n.t("phrases.brief_description_of_what")}</li>
               <li>
@@ -319,23 +373,28 @@ export function FedoraManualTestingItem(props) {
               <li>{i18n.t("phrases.note_what_you_did")}</li>
               <li>{i18n.t("phrases.try_to_reproduce_the")}</li>
               <li>
-                {i18n.t("phrases.share_your_notes_on_the")}{" "}
-                <ModalBadge expand_text="Don&#39;t have an IRC client?">
-                  {i18n.t("phrases.if_you_are_not_familiar")}
-                </ModalBadge>
+                <Trans i18nKey="Share_your_notes">
+                  Share your notes on the internet (you can use fpaste), and ask for help with
+                  filing the bug report on our IRC channel #fedora-qa at freenode.net{" "}
+                  <ModalBadge expand_text="Don&#39;t have an IRC client?">
+                    If you are not that familiar with IRC, you can use the web-interface[link] just
+                    enter a Nickname of your choice, #fedora-qa (including the hash sign) in the
+                    Channels field, and click Connect.
+                  </ModalBadge>
+                </Trans>
               </li>
             </ul>
-            {i18n.t("phrases.once_you_get_the_bug_reported")}{" "}
-            <code>{i18n.t("phrases.relval_report_results")}</code>{" "}
-            {i18n.t("phrases.on_command_line")} <code>{i18n.t("words.relval")}</code>{" "}
-            {i18n.t("phrases.package_first")}{" "}
-            <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
-              {i18n.t("words.matrix")}
-            </a>{" "}
-            {i18n.t("phrases.directly_by_clicking_on_the")} <code>{i18n.t("words.Edit")}</code>{" "}
-            {i18n.t("phrases.link_next_to_the_Matrice_header_and_put")}{" "}
-            <code>&#123;&#123;{i18n.t("phrases.result_fail_your")}&#125;&#125;</code>{" "}
-            {i18n.t("phrases.in_the_appropriate_spot")}
+            <Trans i18nKey="Once_you_get_the_bug">
+              Once you get the Bug reported, make sure to also submit the result into the testing
+              matrix. Either use <code>relval report-results</code> on command line (make sure to
+              install the <code>relval</code> package first), or modify the{" "}
+              <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
+                matrix
+              </a>{" "}
+              directly by clicking on the <code>Edit</code> link next to the Matrice's header, and
+              put <code>&#123;&#123;result|fail|YOUR_NAME_HERE|BUG_NUMBER|&#125;&#125;</code> in
+              the appropriate spot.
+            </Trans>
           </ModalBadge>
         </li>
       </ol>
@@ -356,7 +415,7 @@ function ModalInfo(props) {
   }
 
   const project = props.buttonLabel.split(":")[0]
-  const ticket = props.buttonLabel.split(":")[1] //strip whitespace?
+  const ticket = props.buttonLabel.split(":")[1]
 
   return (
     <div>
diff --git a/src/wizard/step/Step4.js b/src/wizard/step/Step4.js
index 63c2a5a..7d350c8 100644
--- a/src/wizard/step/Step4.js
+++ b/src/wizard/step/Step4.js
@@ -4,10 +4,10 @@ import { shallowEqual, useSelector } from "react-redux"
 import * as R from "ramda"
 import { useHistory } from "react-router-dom"
 import Manual from "../Manual"
+import { Trans } from "react-i18next"
 
 const Step4 = (props) => {
   const { query } = props
-  const { i18n } = useSelector((state) => state.locale)
 
   const history = useHistory()
 
@@ -89,59 +89,75 @@ const Step4 = (props) => {
       case "Installation":
         return (
           <div className="text-left">
-            {i18n.t("words.the")} <strong>{i18n.t("words.Installation")}</strong>{" "}
-            {i18n.t("phrases.Installation_text")}
-            <br />
-            {i18n.t("phrases.Installation_text1")}
-            <br />
-            <i>{i18n.t("words.Note")}</i> {i18n.t("phrases.Installation_text2")}
+            <Trans i18nKey="Installation_text">
+              The <strong>Installation</strong> testcases generally deal with a part of the
+              installation procedure.
+              <br />
+              You will certainly need an installation ISO, and either a Virtual or Bare-metal
+              machine to run the test.
+              <br />
+              <i>Note:</i> some (not that many, though) of these testcases require Bare-metal
+              machine. Be sure to read the Description of the testcase carefully.
+            </Trans>
           </div>
         )
 
       case "Desktop":
         return (
           <div className="text-left">
-            {i18n.t("words.the")} <strong>{i18n.t("words.Desktop")}</strong>{" "}
-            {i18n.t("phrases.Desktop_text")}
-            <br />
-            {i18n.t("phrases.Desktop_text1")}
+            <Trans i18nKey="Desktop_Text">
+              The <strong>Desktop</strong> testcases cover basic functionality of the desktop
+              environment.
+              <br />
+              You can either install Fedora onto clean Virtual or Bare-metal machine, or use a Live
+              image instead.
+            </Trans>
           </div>
         )
 
       case "Base":
         return (
           <div className="text-left">
-            {i18n.t("words.the")} <strong>{i18n.t("words.Base")}</strong>{" "}
-            {i18n.t("phrases.base_text")}
-            <br />
-            {i18n.t("phrases.base_text1")}
-            <br />
-            <i>{i18n.t("phrases.Pro_tip")}:</i> {i18n.t("phrases.base_text3")}
+            <Trans i18nKey="Base_Text">
+              The <strong>Base</strong> testcases cover the system&#x27;s basic functionality just
+              after a clean installation.
+              <br />
+              Most times, you will be asked to perform a clean Fedora installation. You can use
+              either Virtual or Bare-metal machine.
+              <br />
+              <i>Pro tip:</i> using a snapshot of cleanly installed Virtual machine is just fine.
+              No need to reinstall for every testcase.
+            </Trans>
           </div>
         )
 
       case "Server":
         return (
           <div className="text-left">
-            {i18n.t("words.the")} <strong>{i18n.t("words.Server")}</strong>{" "}
-            {i18n.t("phrases.Server_text")}
+            <Trans i18nKey="Server_Text">
+              The <strong>Server</strong> testcases usually require multiple machines to test the
+              server-client behaviour, and might feel a bit advanced.
+            </Trans>
           </div>
         )
 
       case "Cloud":
         return (
           <div className="text-left">
-            {i18n.t("cloud_text")} <strong>{i18n.t("words.Cloud")}</strong>{" "}
-            {i18n.t("phrases.cloud_text1")}
-            <br />
-            {i18n.t("phrases.cloud_text2")}{" "}
-            <a
-              target="_blank"
-              rel="noopener noreferrer"
-              href="https://fedoraproject.org/wiki/Test_Results:Fedora_Current_Cloud#Cloud_Provider_Setup">
-              {i18n.t("phrases.Cloud_provider_setup")}
-            </a>{" "}
-            {i18n.t("phrases.guides_for_more_details")}
+            <Trans i18nKey="Cloud_Text">
+              Even thought the <strong>Cloud</strong> testcases are best done in the specific
+              environments like EC2 or Openstack, you can also perform them locally using
+              Testcloud.
+              <br />
+              Have a look at the{" "}
+              <a
+                target="_blank"
+                rel="noopener noreferrer"
+                href="https://fedoraproject.org/wiki/Test_Results:Fedora_Current_Cloud#Cloud_Provider_Setup">
+                Cloud provider setup
+              </a>{" "}
+              guides for more details.
+            </Trans>
           </div>
         )
 

